/**************************************************
** GAME PLAYER CLASS
**************************************************/
	
	spaceShipImg = new Image();
	spaceShipImg.src = '../public/images/spaceships/s0.png';
	otherSpaceShipImg = new Image();
	otherSpaceShipImg.src = '../public/images/spaceships/s1.png';

var Player = function(startX, startY) {
	var x = startX,
		y = startY,
		id,
		moveAmount = 5;
		
	// getters & setters for Player properties:
	var getX = function() {
		return x;
	};
	
	var getY = function() {
		return y;
	};
	
	var setX = function(newX) {
		x = newX;
	};
	
	var setY = function(newY) {
		y = newY;
	};

	var update = function(keys) {
	
		// previous x and y positions
		var prevX = x,
			prevY = y;
		
		// Up key takes priority over down
		if (keys.up) {
			y -= moveAmount;
		} else if (keys.down) {
			y += moveAmount;
		};

		// Left key takes priority over right
		if (keys.left) {
			x -= moveAmount;
		} else if (keys.right) {
			x += moveAmount;
		};
		
		// return true if the position has changed, or false if it hasn't
		return (prevX != x || prevY != y) ? true : false;
	};
	
	var fire = function(keys) {
		// fire weapon with space bar
		if (keys.space) {
			return true;
		};
		return false;
	};
	
	// used by game.js to draw the remote players.
	var draw = function(ctx) {
		ctx.drawImage(otherSpaceShipImg, x - 12.5, y - 24.5);
	};
	
	// used by game.js to draw the local player.
	var drawSelf = function(ctx) {
		//var spaceShipImg = new Image();
		
		//spaceShipImg.onload = function() {
			ctx.drawImage(spaceShipImg, x - 12.5, y - 24.5);
			//ctx.drawImage(spaceShipImg, x, y);
		//}
		
		//spaceShipImg.src = '../public/images/spaceships/s0.png';
		
		ctx.font="11px Courier New";
		ctx.strokeStyle="#00FFFF";
		ctx.strokeText("YOU", x - 11, y + 35);		
	};

	return {
		getX: getX,
		getY: getY,
		setX: setX,
		setY: setY,
		update: update,
		fire: fire,
		draw: draw,
		drawSelf: drawSelf
	};
};
